"""server URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.conf import settings
from django.conf.urls.static import static, serve
from django.contrib import admin
from django.urls import include, path
from rest_framework import routers
from rest_framework.documentation import include_docs_urls
from rest_framework_simplejwt.views import TokenRefreshView

from apps.system.views import FileViewSet, LogoutView, Login2View, MyTokenView
from django.views.generic.base import TemplateView
router = routers.DefaultRouter()
router.register('file', FileViewSet, basename="file")
from django.conf.urls import url
from apps.system.views import WXMPlogin,mediaauth
from drf_yasg import openapi
from drf_yasg.views import get_schema_view
import os

schema_dict = dict(
    info=openapi.Info(
      title="CMA API",
      default_version='v1',
      contact=openapi.Contact(email="caoqianming@foxmail.com"),
      license=openapi.License(name="MIT License"),
   ),
   public=True,
   permission_classes=[],)

if os.getenv('DJANGO_SETTINGS_MODULE') != 'server.settings_dev':
    schema_dict['url'] = "https://testsearch.ctc.ac.cn/"

schema_view = get_schema_view(**schema_dict)

urlpatterns = [
    path('api/admin/', admin.site.urls),
    path('api/mediaauth/',mediaauth),
    path('api/wxmplogin/',WXMPlogin.as_view()),
    path('api/token/', MyTokenView.as_view(), name='token_obtain_pair'),
    path('api/token2/', Login2View.as_view(), name='token_obtain_2'),
    path('api/token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
    path('api/token/black/', LogoutView.as_view(), name='token_black'),
    path('api/system/', include('apps.system.urls')),
    path('api/ability/', include('apps.ability.urls')),
    path('api/supervision/', include('apps.supervision.urls')),
    path('api/quality/', include('apps.quality.urls')),
    path('api/vod/', include('apps.vod.urls')),
    path('api/consulting/', include('apps.consulting.urls')),
    path('', include('apps.ops.urls')),
    path('', include('apps.exam.urls')),
    
    path('api/docs/', include_docs_urls(title="接口文档",authentication_classes=[], permission_classes=[])),
    url(r'^api/swagger(?P<format>\.json|\.yaml)$', schema_view.without_ui(cache_timeout=0), name='schema-json'),
    path('api/swagger/', schema_view.with_ui('swagger', cache_timeout=0), name='schema-swagger-ui'),
    path('api/redoc/', schema_view.with_ui('redoc', cache_timeout=0), name='schema-redoc'),
    path('api/', include(router.urls)),
    path('', TemplateView.as_view(template_name="index.html")),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT) + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
